// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

/**
 * <pre>
 * Dynamic test status (see IEC61850-7-2 section 20.2.1 Direct control with normal security, state
 * machine diagram)   A simplified state machine diagram (from Herb F.) is provided.
 * </pre>
 *
 * Protobuf enum {@code commonmodule.ControlModeKind}
 */
public enum ControlModeKind
    implements com.google.protobuf.ProtocolMessageEnum {
  /**
   * <pre>
   * Undefined
   * </pre>
   *
   * <code>ControlModeKind_UNDEFINED = 0;</code>
   */
  ControlModeKind_UNDEFINED(0),
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>ControlModeKind_auto = 1;</code>
   */
  ControlModeKind_auto(1),
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>ControlModeKind_manual = 2;</code>
   */
  ControlModeKind_manual(2),
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>ControlModeKind_override = 3;</code>
   */
  ControlModeKind_override(3),
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>ControlModeKind_remote = 4;</code>
   */
  ControlModeKind_remote(4),
  UNRECOGNIZED(-1),
  ;

  /**
   * <pre>
   * Undefined
   * </pre>
   *
   * <code>ControlModeKind_UNDEFINED = 0;</code>
   */
  public static final int ControlModeKind_UNDEFINED_VALUE = 0;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>ControlModeKind_auto = 1;</code>
   */
  public static final int ControlModeKind_auto_VALUE = 1;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>ControlModeKind_manual = 2;</code>
   */
  public static final int ControlModeKind_manual_VALUE = 2;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>ControlModeKind_override = 3;</code>
   */
  public static final int ControlModeKind_override_VALUE = 3;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>ControlModeKind_remote = 4;</code>
   */
  public static final int ControlModeKind_remote_VALUE = 4;


  public final int getNumber() {
    if (this == UNRECOGNIZED) {
      throw new java.lang.IllegalArgumentException(
          "Can't get the number of an unknown enum value.");
    }
    return value;
  }

  /**
   * @param value The numeric wire value of the corresponding enum entry.
   * @return The enum associated with the given numeric wire value.
   * @deprecated Use {@link #forNumber(int)} instead.
   */
  @java.lang.Deprecated
  public static ControlModeKind valueOf(int value) {
    return forNumber(value);
  }

  /**
   * @param value The numeric wire value of the corresponding enum entry.
   * @return The enum associated with the given numeric wire value.
   */
  public static ControlModeKind forNumber(int value) {
    switch (value) {
      case 0: return ControlModeKind_UNDEFINED;
      case 1: return ControlModeKind_auto;
      case 2: return ControlModeKind_manual;
      case 3: return ControlModeKind_override;
      case 4: return ControlModeKind_remote;
      default: return null;
    }
  }

  public static com.google.protobuf.Internal.EnumLiteMap<ControlModeKind>
      internalGetValueMap() {
    return internalValueMap;
  }
  private static final com.google.protobuf.Internal.EnumLiteMap<
      ControlModeKind> internalValueMap =
        new com.google.protobuf.Internal.EnumLiteMap<ControlModeKind>() {
          public ControlModeKind findValueByNumber(int number) {
            return ControlModeKind.forNumber(number);
          }
        };

  public final com.google.protobuf.Descriptors.EnumValueDescriptor
      getValueDescriptor() {
    if (this == UNRECOGNIZED) {
      throw new java.lang.IllegalStateException(
          "Can't get the descriptor of an unrecognized enum value.");
    }
    return getDescriptor().getValues().get(ordinal());
  }
  public final com.google.protobuf.Descriptors.EnumDescriptor
      getDescriptorForType() {
    return getDescriptor();
  }
  public static final com.google.protobuf.Descriptors.EnumDescriptor
      getDescriptor() {
    return openfmb.commonmodule.Commonmodule.getDescriptor().getEnumTypes().get(22);
  }

  private static final ControlModeKind[] VALUES = values();

  public static ControlModeKind valueOf(
      com.google.protobuf.Descriptors.EnumValueDescriptor desc) {
    if (desc.getType() != getDescriptor()) {
      throw new java.lang.IllegalArgumentException(
        "EnumValueDescriptor is not for this type.");
    }
    if (desc.getIndex() == -1) {
      return UNRECOGNIZED;
    }
    return VALUES[desc.getIndex()];
  }

  private final int value;

  private ControlModeKind(int value) {
    this.value = value;
  }

  // @@protoc_insertion_point(enum_scope:commonmodule.ControlModeKind)
}

